#include <stdio.h>
#include <X11/Xlib.h>
#include <X11/Xatom.h>
main()
{
   Display *d;           Window w, *w2;
   Atom a1, type, a2;    int fmt;
   XEvent e;             unsigned long nitems, left;
   XClientMessageEvent cm;

   d = XOpenDisplay( NULL );
   w = XCreateSimpleWindow(d, RootWindow(d, 0), 400, 400,
                           200, 200, 2, 0, 1);
   XSelectInput(d, w, ButtonPressMask);
   XMapWindow(d, w);

   a1 = XInternAtom(d, "My Window", False);
   if (XGetWindowProperty(d, RootWindow(d, 0), a1, 0, 4, False,
                     XA_WINDOW, &type, &fmt, &nitems, &left, &w2)
                                   != Success || type != XA_WINDOW)
     fprintf(stderr, "Can't get remote window ID\n");

   a2 = XInternAtom(d, "Rectangle", False);

   while (1)
     {
       XNextEvent(d, &e);
       if (e.type == ButtonPress)
         { cm.type = ClientMessage;
           cm.display = d;
           cm.window = *w2;
           cm.message_type = a2;
           cm.format = 32;
           cm.data.l[0] = e.xbutton.x;
           cm.data.l[1] = e.xbutton.y;
           XSendEvent(d, *w2, False, NoEventMask , &cm);
         }
     }
}
