#include <stdio.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xlocale.h>
main(argc, argv)
int argc;
char **argv;
{
   Display *d;         Window w;
   char **cl;          int n;
   XTextProperty ct;

   setlocale (LC_ALL, "");
   d = XOpenDisplay (NULL);
   w = XCreateSimpleWindow (d, RootWindow (d, 0), 200, 300,
                            200, 100, 2, 0, 1);

   XmbTextListToTextProperty (d, &argv[1], 1,XCompoundTextStyle, &ct);
   XSetWMName (d, w, &ct);
   XmbTextListToTextProperty (d, &argv[2], 1,XCompoundTextStyle, &ct);
   XSetWMIconName (d, w, &ct);

   XMapWindow (d, w);
   XFlush (d);

   if (XGetWMName (d, w, &ct) != 0)
     { XmbTextPropertyToTextList (d, &ct, &cl, &n);
       printf ("Window Name: %s\n", cl[0]);
     }
   if (XGetWMIconName (d, w, &ct) != 0)
     { XmbTextPropertyToTextList (d, &ct, &cl, &n);
       printf ("Icon Name: %s\n", cl[0]);
     }

   getchar ();
}
